> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prosights.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Recreate to JSON

> Returns the JSON shape for table outputs. Note: This will return data as it becomes available.



## OpenAPI

````yaml openapi.json get /enterprise-api/recreate/{recreate_id}/to_json
openapi: 3.1.0
info:
  title: Recreate API
  description: API for the Recreate app
  version: 1.0.0
servers:
  - url: https://prism-api.prosights.co
security: []
tags: []
paths:
  /enterprise-api/recreate/{recreate_id}/to_json:
    get:
      tags:
        - Recreate
      summary: Recreate to JSON
      description: >-
        Returns the JSON shape for table outputs. Note: This will return data as
        it becomes available.
      operationId: >-
        enterprise_recreate_to_json_enterprise_api_recreate__recreate_id__to_json_get
      parameters:
        - name: recreate_id
          in: path
          required: true
          schema:
            type: string
            title: Recreate Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TablesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    TablesResponse:
      properties:
        tables:
          items:
            $ref: '#/components/schemas/TableData'
          type: array
          title: Tables
        charts:
          items:
            $ref: '#/components/schemas/TableData'
          type: array
          title: Charts
      type: object
      required:
        - tables
      title: TablesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TableData:
      properties:
        headers:
          items:
            type: string
          type: array
          title: Headers
        rows:
          items:
            $ref: '#/components/schemas/TableRow'
          type: array
          title: Rows
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
      type: object
      required:
        - headers
        - rows
      title: TableData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TableRow:
      properties:
        row_identifier:
          type: string
          title: Row Identifier
        row_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Row Type
        cells:
          items:
            $ref: '#/components/schemas/TableCell'
          type: array
          title: Cells
      type: object
      required:
        - row_identifier
        - cells
      title: TableRow
    TableCell:
      properties:
        value:
          type: string
          title: Value
        column_header:
          type: string
          title: Column Header
        bbox:
          anyOf:
            - additionalProperties:
                type: number
              type: object
            - type: 'null'
          title: Bbox
      type: object
      required:
        - value
        - column_header
      title: TableCell
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Prosights-Api-Key

````